<?php

	# Date formats
	
	# log
	include_once 'log.php';
	
	
	# format date for use in control panel, depending on dateform.xml
	function date_form($datestr) {

		$dif = time() - (int)$datestr;
		$day = 86400; # 1 day
		
		
		$a = simplexml_object('dateform.xml','l',null);
		
		
		# recent value is = < of 24h
		# old value is > of 24h
	
		$recent = (string)$a->dates->recent->dd;
		$old = (string)$a->dates->old->dd;
	
		
		if ($dif > $day)
			$date = date($old,$datestr);
		
		

		else {
			
			if (date('d') != date('d',$datestr))
				$date = date($old,$datestr);
			else 				
				$date = date($recent,(int)$datestr);
		}
		
		
		return $date;
	
	}


?>
