<?php

	# PAGE pattern. Works for all.
	# If variable $index is set -> index page is loaded.
	# $catg -> Category page
	# $tagg -> Tag page
	# $fn -> Post
	# $pn -> Page


	# $cms['website_title'] will load the website title.
	# Other options are website_description, results_per_page, results_per_page_lastmod, show_date, sign_posts, show_category, show_tags, read_old_link
	
	

	# find inclusion path
	$rot = (is_dir('monofiles')) ? '' : '../../';
	$lot = ($rot == '') ? './' : '../../';
	
	include_once $rot.'monofiles/log.php';
	include $rot.'monofiles/en_code.php';


	# CMS settings
	$cms = cmsetup();

	
	# Load some page info
	include $rot.'monofiles/pageinfo.php'
	
	

?><!doctype html>
<html>
<head>
<meta charset="utf-8">
<meta name="viewport" content="width=device-width, initial-scale=1">
<title><?php print $title ?></title>
<meta name="description" content="<?php print $meta_description ?>">
<?php if (is_file($rot.'favicon.png')) : ?>
		<link rel="icon" type="image" href="<?php print $rot.'favicon.png'?>">
	<?php endif ?>
<link rel="stylesheet" type="text/css" href="<?php print $rot ?>style.css">
<style type="text/css">
@charset "utf-8";
</style>
</head>
<body>
	<div id="mon-container">
		<!-- Header -->
		<div id="header">
			<div id="htop" class="header-top">
				<div id="header-content">
					<div id="lg"><h1>
					<?php

						echo (!isset($index)) ? '<a href="'.$lot.'">'.$cms['website_title'].'</a>' : $title


					?></h1>
					<h2 id="description"><?php echo $cms['website_description'] ?></h2>
					</div>
				</div>
			</div>		
		</div>
		<div class="page-content">
			<div id="info-section">
				<?php 
				

				# pages or posts
				if (isset($fn) || isset($pn) || isset($preview)) {

					if (isset($post_date))
						print '<div class="date">'.$post_date.'</div>'.PHP_EOL;

					print '<h1>'.load_xml($title).'</h1>';
				}




				# index or category or tag page
				if (isset($index) || isset($catg) || isset($tagg)) : ?>
				<div class="set-posts">

					<?php 
						//load_posts('all');
						include $rot.'monofiles/set-posts.php';
						include $rot.'monofiles/paginate.php'
					
					?>
					
				</div>
				

				<?php else : ?>


				<div class="mainpage"><?php echo $content ?></div>


				<?php 

					
					if (isset($tags))
						print '<div class="tags">Tags: '.$tags.'</div>'.PHP_EOL;

					
					if (isset($ctgr))
						print '<div class="category">Category: '.$ctgr.'</div>';

	
					endif

				?>
			
			</div>
		</div>
		<div class="mon-footer">
			<div class="footer-inside">
			</div>
		</div>
	</div>
</body>
</html>